Subject: Re: [PATCH] genirq: Set initial default irq affinity to just CPU0

From: "Chris Friesen" <[email-masked]>
Date: Mon, 27 Oct 2008 11:36:21 -0600

David Miller wrote:
> From: Kevin Diggs <[email-masked]>
> Date: Sat, 25 Oct 2008 15:53:46 -0700
> 
>> What does this all mean to my GigE (dual 1.1 GHz 7455s)? Is this
>> thing supposed to be able to spread irq between its cpus?
> 
> Networking interrupts should lock onto a single CPU, unconditionally.
> That's the optimal way to handle networking interrupts, especially
> with multiqueue chips.

What about something like the Cavium Octeon, where we have 16 cores but a 
single core isn't powerful enough to keep up with a gigE device?

Chris